import { createStore, applyMiddleware, compose, combineReducers } from "redux";
import createSagaMiddleware from "redux-saga";
import { ms_main_saga } from "../../saga/mainSaga";
import redux_immutable_state_invariant from "redux-immutable-state-invariant";
import DevTools from "./../../DevTools";
import cartReducer from "../reducers/cartReducer";
var sagaMiddleware = createSagaMiddleware();
var middleware = [sagaMiddleware, redux_immutable_state_invariant()];
var enhancer = compose(applyMiddleware.apply(void 0, middleware), window.__REDUX_DEVTOOLS_EXTENSION__ ? window.__REDUX_DEVTOOLS_EXTENSION__() : DevTools.instrument());
var combinedReducer = combineReducers({
  cartActions: cartReducer
});

var rootReducer = function rootReducer(state, action) {
  return combinedReducer(state, action);
};

var store = createStore(rootReducer, enhancer);
window.store_ref = store;
sagaMiddleware.run(ms_main_saga);
export default {
  store: store
};